Subject: Re: What's cooking in git.git (Jul 2025, #02; Mon, 7)

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Jul 2025 17:01:10 -0700

Taylor Blau <[email-masked]> writes:

>> * tb/midx-avoid-cruft-packs (2025-06-23) 9 commits
>>  - repack: exclude cruft pack(s) from the MIDX where possible
>>  - pack-objects: introduce '--stdin-packs=follow'
>>  - pack-objects: swap 'show_{object,commit}_pack_hint'
>>  - pack-objects: fix typo in 'show_object_pack_hint()'
>>  - pack-objects: perform name-hash traversal for unpacked objects
>>  - pack-objects: declare 'rev_info' for '--stdin-packs' earlier
>>  - pack-objects: factor out handling '--stdin-packs'
>>  - pack-objects: limit scope in 'add_object_entry_from_pack()'
>>  - pack-objects: use standard option incompatibility functions
>>
>>  "pack-objects" has been taught to avoid pointing into objects in
>>  cruft packs from midx.
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I think that this one is ready to go. Since Elijah and Peff last
> reviewed it, it hasn't changed substantially (other than a few
> bugfix-related changes that were discovered while rolling this out at
> GitHub).
>
> The series has been running on GitHub's production infrastructure for
> the last month or two without issue, so I think this is good from a
> stability perspective.
>
> I've CC'd Elijah and Peff here, since they were the last two to review
> the series, but I don't think that they have any objections to this
> moving along.

OK.  As they both seem to be active, let me wait for a bit and then
mark it for 'next' unless we hear anything unexpected.

Thanks.